import java.util.MissingResourceException;
import java.util.ResourceBundle;

import org.eclipse.core.runtime.Platform;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**********************************************************************
 * Licensed Material - Property of IBM
 * 
 * (C) Copyright IBM Corp. 2004, 2006 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 **********************************************************************/

/**
 * The main plug-in class of this plug-in.
 * <p>
 * 
 * @author  Paul E. Slauenwhite
 * @version January 30, 2006
 * @since   June 14, 2004
 */
public class CommonLoggingSamplePlugin extends AbstractUIPlugin {
	
    //Shared instance:
	private static CommonLoggingSamplePlugin plugin = null;
	
	//Resource bundle:
	private ResourceBundle resourceBundle = null;
	
	/**
	 * The constructor.
	 */
	public CommonLoggingSamplePlugin() {
		
	    super();
		
	    plugin = this;
	}

	/**
	 * This method is called upon plug-in activation
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
	}

	/**
	 * Returns the shared instance.
	 */
	public static CommonLoggingSamplePlugin getDefault() {
		return plugin;
	}

	/**
	 * Returns the string from the plug-in's resource bundle,
	 * or 'key' if not found.
	 */
	public static String getResourceString(String key) {
		
	    ResourceBundle bundle = CommonLoggingSamplePlugin.getDefault().getResourceBundle();
		
	    try {
			return (bundle != null) ? bundle.getString(key) : key;
		} 
	    catch (MissingResourceException e) {
			return key;
		}
	}

	/**
	 * Returns the plug-in's resource bundle,
	 */
	public ResourceBundle getResourceBundle() {
	    
	    if(resourceBundle == null){
	        
	        try {
				resourceBundle = Platform.getResourceBundle(getDefault().getBundle());
			} 
		    catch (MissingResourceException x) {
		        //Ignore since the resource bundle is missing.
			}		    
	    }
	    
		return resourceBundle;
	}
}
